<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Token</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::CPreprocessor::Token Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49bc735f943a3c3805ebc28877a4a2f5">Allocated</a></td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td><code> [mutable]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Append</a>(const char *iString, size_t iLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a7c710d0966b362a0334490b74ea19526">Append</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#af0f44a71d6f4309deb721d35af353144">Append</a>(const char *iString, size_t iLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a7c710d0966b362a0334490b74ea19526">Append</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">AppendNL</a>(int iCount)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a1191145d8656978e4d0b3021cfc7849f">AppendNL</a>(int iCount)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a82c26673a4129277ee31c410e3f5ca1e">Buffer</a></td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">CountNL</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a5ee810919549977009b0f8428ef78ebe">CountNL</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">GetValue</a>(long &amp;oValue) const </td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a395e05f47975f95ed6ed062ad3128a36">GetValue</a>(long &amp;oValue) const </td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> enum name</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1c">Kind</a> enum name</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a31cec35397868cf6bce6b1ea18ed8bff">Length</a></td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49f9a100c46dc81a843919d6a75c4764">operator=</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a49f9a100c46dc81a843919d6a75c4764">operator=</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a523d17a93ef1ba9fe6ec15d48201bc8a">operator==</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a523d17a93ef1ba9fe6ec15d48201bc8a">operator==</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">SetValue</a>(long iValue)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a123db5f492dc4900243844af056d6cfe">SetValue</a>(long iValue)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#aa5ad3352307408c8a14236970bc1f81c">String</a></td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca7877a16275419ba7ece4ccdf70a8c5a0">TK_COMMENT</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca56e64e4e477e2ca292f131ccbd232da7">TK_DIRECTIVE</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca1b56d7bb41a2f877f8c705c010605a44">TK_EOS</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cae84c9655e8fb1bed1ab7a43f52a14bb3">TK_ERROR</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac5863dbffefda4adcbf731d2c3cceff9">TK_KEYWORD</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1caebd430b7e45505d02dd484f265742fbd">TK_LINECOMMENT</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca016b12f5798c3c8701177bfb7bbc64a0">TK_LINECONT</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca22e637e326bfeb9f62721c49ba3262d8">TK_NEWLINE</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca60713da5682b73019316730be1c2957b">TK_NUMBER</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca039e0f19708e47b1c1aee1ccafac9816">TK_PUNCTUATION</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1cac24036bea9072a75c73760c8ab056aa5">TK_STRING</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca43924d84574e3eea272159d26e6274f9">TK_TEXT</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a10b32d342fb68c86c5dda3bf103fec1ca90a825a75631104512c23e9813a90589">TK_WHITESPACE</a> enum value</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Token</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a4eba649dd171b4b340229d4f06adef08">Token</a>(Kind iType)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a118b97af680a2fbc94c23b90c063bc91">Token</a>(Kind iType, const char *iString, size_t iLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#abbbeb51aee6894370a0a3d4be64c89f6">Token</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a9a2ba4e5633501ae1dbe13c4ae0add8b">Token</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a4eba649dd171b4b340229d4f06adef08">Token</a>(Kind iType)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#a118b97af680a2fbc94c23b90c063bc91">Token</a>(Kind iType, const char *iString, size_t iLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#abbbeb51aee6894370a0a3d4be64c89f6">Token</a>(const Token &amp;iOther)</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab208b6c5fb1d8e481366017fa884c2fa">Type</a></td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">~Token</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html#ab0aa037a7a6a7124d0d37535d3aa33a0">~Token</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor_1_1Token.html">Ogre::CPreprocessor::Token</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
